Subject: Re: [Roll] Section 3.4 in RPL-10

From: Mukul Goyal <[email-masked]>
Date: Tue, 20 Jul 2010 03:57:55 -0500 (CDT)

I agree. Here is my own text for this:

"... A reactive mechanism for P2P route discovery [non
normative ref to Mukul's draft] can be used in addition to the P2P method described above."

Also, the beginning paragraph of section 8, quoted below, has the same inaccuracy regarding the P2P operation:

"This section describes how RPL discovers and maintains downward
   routes.  RPL constructs and maintains downward routes with
   Destination Advertisement Object (DAO) messages.  Downward routes
   support of P2MP flows, from the DODAG roots toward the leaves.
   Downward routes also support P2P flows: P2P messages can flow to a
   DODAG Root through an upward route, then away from the DODAG Root to
   a destination through a downward route.
"

Thanks
Mukul
 
----- Original Message -----
From: "Yoav Ben-Yehezkel" <[email-masked]>
To: "Yoav Ben-Yehezkel" <[email-masked]>, "Pascal Thubert (pthubert)" <[email-masked]>, "Philip Levis"
<[email-masked]>, "Mukul Goyal" <[email-masked]>
Cc: "roll" <[email-masked]>
Sent: Tuesday, July 20, 2010 2:22:47 AM
Subject: RE: [Roll] Section 3.4 in RPL-10

Maybe even further clarification of (I'm not sure "shortcuts" is indeed
true - it's more about good enough criteria and "reactive-ness" of
routing
formation): "... Additional on-demand reactive RPL route formation such
as [non
normative ref to Mukul's draft] can be used in complementary to the P2P
method described above."

-----Original Message-----
From: Yoav Ben-Yehezkel [mailto:[email-masked]]
Sent: Tuesday, July 20, 2010 10:08 AM
To: 'Pascal Thubert (pthubert)'; 'Philip Levis'; 'Mukul Goyal'
Cc: 'roll'
Subject: RE: [Roll] Section 3.4 in RPL-10

Hi Pascal,

I agree to this text, but there may be some ambiguity in the following
para.: "... Additional route optimization like [non normative ref to
Mukul's draft] that may enable shortcuts are out of scope for this
specification."

One may understand that these optimizations cannot be used with RPL.

May I suggest a slight modification to this - something in the lines of:
"... Additional RPL route optimization such as [non normative ref to
Mukul's draft] that may enable P2P packet travel shortcuts can be used
in complementary to the P2P method described above."

Best regards,
Yoav

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Pascal Thubert (pthubert)
Sent: Tuesday, July 20, 2010 10:00 AM
To: Philip Levis; Mukul Goyal
Cc: roll
Subject: Re: [Roll] Section 3.4 in RPL-10

This text troubles me a bit.

There is a confusion between P2P in the sense of node to node (as
opposed to P2MP and MP2P) and P2P in the sense of the optimization that
Mukul, Jerry, Anders and others are working on. I'd like to separate the
2. We can indicate that additional P2P optimizations are on the works
but with the main spec, the P2P goes up to the common parent and then
down in storing, and up to the root and then down in non storing.
Extending Phil's text:

"In the case of a non-storing network, P2P packets travel up to a DODAG
Root then down to the final destination (unless the destination is on
the upward path to the DODAG Root). In the case of a storing network,
P2P packets travel upwards towards a DODAG Root until they reach a
common ancestor with the destination, at which point they travel down to
the destination. Additional route optimization like [non normative ref
to Mukul's draft] that may enable shortcuts are out of scope for this
specification."

Pascal

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
Of Philip
> Levis
> Sent: Tuesday, July 20, 2010 2:45 AM
> To: Mukul Goyal
> Cc: roll
> Subject: Re: [Roll] Section 3.4 in RPL-10
>
>
> On Jul 19, 2010, at 11:55 AM, Mukul Goyal wrote:
>
> > Here is a quote from Section 3.4 of RPL-10
> >
> > "Any given RPL Instance is either
> >
> >
> >
> > Winter, et al. Expires December 30, 2010
> > [Page 15]
> >
> > Internet-Draft draft-ietf-roll-rpl-10 Jun
> > 2010
> >
> >
> >    storing or non-storing. In both cases, P2P packets travel up to
a
> >    DODAG Root then down to the final destination (unless the
> > destination
> >    is on the upward route).
> > "
> >
> > I dont think that a P2P packet necessarily always travels to the
DODAG
> > root in storing mode. It is possible that it turns around at a
common
> > non-root ancestor of the source and the destination.
>
> Mukul,
>
> You're right. I'd suggest removing the last sentence and replacing it
> with:
>
> "In the case of a non-storing network, P2P packets travel up to a
DODAG Root
> then down to the final destination (unless the destination is on the
upward path
> to the DODAG Root). In the case of a storing network, P2P packets
travel
> upwards towards a DODAG Root until they reach a common ancestor with
the
> destination, at which point they travel down to the destination."
>
> What do you think?
>
> Phil
>
> _______________________________________________ Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll
_______________________________________________ Roll mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/roll